package fr.plnech.lifelogger.model

class Log(val name: String, private val dataPoints : ArrayList<DataPoint> = ArrayList()) {

    fun addPoint(dataPoint: DataPoint) {
        dataPoints.add(dataPoint)
    }

    override fun toString(): String {
        val b = StringBuilder("$name: ")
        dataPoints.forEach({b.append(it).append(" | ")})
        return b.removeSuffix("| ").toString()
    }
}